Skip to main content
GET
/
api2
/
v1
/
xmlAssistantProfiles
Get XML assistant profiles for organization
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/xmlAssistantProfiles \
  --header 'Authorization: <api-key>'
{
  "totalElements": 123,
  "totalPages": 123,
  "pageSize": 123,
  "pageNumber": 123,
  "numberOfElements": 123,
  "content": [
    {
      "uid": "<string>",
      "name": "<string>",
      "description": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "createdBy": {
        "firstName": "<string>",
        "lastName": "<string>",
        "userName": "<string>",
        "email": "<string>",
        "role": "SYS_ADMIN",
        "id": "<string>",
        "uid": "<string>"
      },
      "updatedAt": "2023-11-07T05:31:56Z",
      "updatedBy": {
        "firstName": "<string>",
        "lastName": "<string>",
        "userName": "<string>",
        "email": "<string>",
        "role": "SYS_ADMIN",
        "id": "<string>",
        "uid": "<string>"
      }
    }
  ],
  "sort": {
    "orders": [
      {
        "direction": "ASC",
        "property": "<string>"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Query Parameters

name
string
description
string
createdBy
string
updatedBy
string
createdAt
string
updatedAt
string
pageNumber
integer<int32>
default:0
Required range: x >= 0
pageSize
integer<int32>
default:50
Required range: 1 <= x <= 1000
sort
enum<string>
Available options:
name,
createdAt,
createdBy,
updatedAt,
updatedBy
order
enum<string>
Available options:
asc,
desc

Response

successful operation

totalElements
integer<int32>
totalPages
integer<int32>
pageSize
integer<int32>
pageNumber
integer<int32>
numberOfElements
integer<int32>
content
object[]
sort
object